php 扩展安装错误

安装报错 · docker11931 · 于 14天前 发布 · 51 次阅读

我的是centos7安装php7的扩展,按照教程php5的安装的。 (1)安装pdo_mysql,报错make: [pdo_mysql.lo] Error 1 ;百度执行了ln -s /usr/local/mysql/include/ /usr/local/include/ 这句没用 (2)安装imap ;报错utf8_mime2text() has new signature, but U8T_CANONICAL is missing;百度说缺少 libc-client-devel等组件,都安装了,依旧问题存在 (3)安装phpredis ;报错 make: * [redis.lo] 错误 1 ;php7是否必须安装这个扩展?

都是按照教程一步步来,结果好多问题,百度的方法试了也没用;感觉只有我一个人遇到,彻底崩溃了

共收到 5 条回复
Fecshop#114天前 0 个赞

建议您用docker部署吧

虽然大家都用linux,但是还是有一些差异,造成了同一个安装方式在不同的linux主机上面会出现执行的差异

用docker容器就不会,建议您用docker安装把。

docker11931#213天前 0 个赞

嗯 用的docker

Fecshop#313天前 0 个赞

@docker11931 #2楼 用docker不需要执行上面的命令行的

https://github.com/fecshop/yii2_fecshop_docker

docker11931#413天前 0 个赞

谢谢 已经用docker 安装好了的,学习单独安装才发了这个贴

Fecshop#513天前 0 个赞

@docker11931 #4楼

嗯,您可以到网上在搜一下资料,我的那个安装是基于centos6安装的

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
Your Site Analytics